J3.x

J3.x:Extensie wil niet installeren

From Joomla! Documentation

This page is a translated version of the page J3.x:Extension won't install and the translation is 100% complete.

Other languages:
Deutsch • ‎English • ‎español • ‎français • ‎Nederlands • ‎русский • ‎中文(中国大陆)‎
Joomla! 
3.4.0

Sommige extensies willen niet installeren in Joomla 3.4.0 waarbij ze een fout geven "Geen bestand geselecteerd. Kan installatiepakket niet vinden"

Gemelde fouten

Geen bestand geselecteerd. Kan installatiepakket niet vinden

(Let op dat deze fout heel algemeen is en kan op veel andere problemen betrekking hebben. Dit is echter de enige gebruikers-fout die wordt weergegeven als gevolg van het probleem en geldt ALLEEN voor Joomla 3.4.0)

Getroffen versies

Info non-talk.png
General Information

This pertains only to Joomla! version(s):- 3.4.0

Wat is de oorzaak

Extra beveiligingscontroles voor PHP bestanden zijn toegevoegd voor bestandsuploads in JFile::upload. Helaas zijn deze niet uitgeschakeld in de extensie installer waardoor iedere niet-gecomprimeerd zip-bestand geïnterpreteerd werd als niet veilig en daarmee niet geïnstalleerd.

Hoe dit op te lossen

Zorg ervoor dat uw zip-bestanden juist gecomprimeerd zijn voor installatie

Pas de volgende patch toe https://github.com/joomla/joomla-cms/pull/6180.patch (deze gaat mee met Joomla 3.4.1)